class Management::ComplaintsController < ManagementController
  include RepositoriesProxy

  def index
  end

  def show
    @complaints = complaint_repository.get_complaints

    @complaints.each  do |c|
      c.user = User.find_by(rid: c.user)
      c.object = learning_object_repository.get_by_rid(c.object)
    end
  end

  def destroy
    object_rid = params["object_rid"]
    user_rid = params["user_rid"]
    complaint_repository.destroy(user_rid, object_rid)

    respond_to do |format|
      format.html { redirect_to :back, notice: 'Denúncia excluída com sucesso.' }
    end
  end
end
